漏洞信息详情

JasPer 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201812-1225
  • 危害等级: 中危
  • CVE编号: CVE-2018-20570
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2018-12-29
  • 威胁类型: 远程
  • 更新时间: 2020-04-16
  • 厂        商: debian
  • 漏洞来源:

漏洞简介

JasPer是加拿大软件开发者Michael Adams所研发的一个JPEG-2000编/解码器的开源实现。

JasPer 2.0.14版本中的jp2/jp2_enc.c文件的jp2_encode存在基于堆的缓冲区溢出漏洞。攻击者可利用该漏洞造成程序崩溃。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/mdadams/jasper

参考网址

来源:MISC

链接:https://github.com/mdadams/jasper/issues/191

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2019/01/msg00003.html

来源:N/A

链接:https://www.oracle.com/security-alerts/cpuapr2020.html

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多